升级

升级Nuxt.js很快,但是比更新package.json更复杂

如果要升级到next v2.14并希望使用静态托管,则需要添加目标:静态到你的nuxt.config.js文件,以便generate命令能正常工作。

nuxt.config.js
出口默认的目标“静态”

开始

  1. 检查发布说明对于您希望升级的版本,请查看该特定版本是否有任何附加说明。
  2. 属性指定的版本nuxt包在你的package.json文件。

在此步骤之后,根据你使用的是Yarn还是npm,说明会有所不同。是与next一起工作的首选包管理器,因为它是编写测试的开发工具。

  1. 删除yarn.lock文件
  2. 删除node_modules目录
  3. 运行命令
  4. 安装完成并运行测试后,还应考虑升级其他依赖项。的纱过时命令可以使用。

npm

  1. 删除package-lock.json文件
  2. 删除node_modules目录
  3. 运行npm安装命令
  4. 安装完成并运行测试后,还应考虑升级其他依赖项。的npm过时命令可以使用。
在这一页上

合作伙伴

  • Netlify
  • 谷歌浏览器
  • Vercel
  • 膨胀
  • Strapi
  • 船的形状
  • Layer0
  • Storyblok
  • 64个机器人
  • Netlify
  • 谷歌浏览器
  • Vercel
  • 膨胀
  • Strapi
  • 船的形状
  • Layer0
  • Storyblok
  • 64个机器人
支持我们